Bug 798806 - RHLogin merged 2 users into 1 account?
RHLogin merged 2 users into 1 account?
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Security, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 17:31 EST by Nam Duong
Modified: 2015-05-14 21:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-02-29 17:31:50 EST
Description of problem:
This was on #openshift 2/29/2012 @2PM PST with gastaldi (George Gastaldi).

He had a login that has always been associated with a specific domain where he was testing Express:
  - RHLogin: gegastaldi@gmail.com
  - namespace: gastaldi 

After this weekend, logging in with gegastaldi@gmail.com no longer associates with gastaldi namespace.  It now associates to 'gegastaldi' namespace which he created cause he noticed that all his work was lost.

He has another way to login with username 'george.gastaldi' but that is also associated with 'gegastaldi' namespace.

Shouldn't these be 2 different logins with 2 different domains?  Why the sudden merge?  He has no other logins to OpenShift.
Comment 1 Nam Duong 2012-02-29 17:37:01 EST
Also, blentz checked the backend.  Seemed the 2 domains were associated to the correct rhlogin too:

  - gastaldi ==> gegastladi@gmail.com
  - gegastladi ==> george.gastaldi
Comment 2 Nam Duong 2012-03-14 11:46:20 EDT
Update from our user:

I managed to reproduce that bug that I told you, about my accounts disappearing.

The fact is that I can login using the same e-mail but with different password. 
If I login using username ="gegastaldi@gmail.com",  with password "123456", I can see the applications on the gegastaldi namespace
If I login using username ="gegastaldi@gmail.com",  with password "654321", I can see the applications on the gastaldi namespace.

You may login on my account using these credentials to check it out.
Comment 3 Abhishek Gupta 2012-03-28 18:47:48 EDT
Got around to testing this only today and as of now the username with password 654321 is the only set of credentials that works. The username with 123456 as password returns invalid credentials (authentication failed).

Haven't heard of this case from any other user. Pushing this to ON_QA for QE to decide whether we can close this bug for now or keep it open.
Comment 4 Yujie Zhang 2012-03-29 02:54:34 EDT
Can not reproduce the issues above, and 1 account with 2 password is not valid now, so verify this bug.

Note You need to log in before you can comment on or make changes to this bug.